
Redmine - Defect #13854

Unable to raise new issue

2013-04-23 16:33 - Jeremy Hanoun

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Email notifications Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate Affected version: 2.3.0

Description

Hi,

when I try to create a new issue for a project, I get an Internal Error :

WebPage :

Internal error

An error occurred on the page you were trying to access.

If you continue to experience problems please contact your Redmine administrator for assistance.

If you are the Redmine administrator, check your log files for details about the error.

From the logs :

Started POST "/projects/dataprocessor-v2/issues" for 127.0.0.1 at 2013-04-23 16:24:26 +0200

Processing by IssuesController#create as HTML

Parameters: {"utf8"=>"âœ“", "authenticity_token"=>"3nLQOJlCHHWT+0LFJS701kjLntvcnbxDNGMVlTk2Y08=",

"issue"=>{"is_private"=>"0", "tracker_id"=>"1", "subject"=>"test", "description"=>"test", "status_id"=>"1", "priority_id"=>"2",

"assigned_to_id"=>"", "fixed_version_id"=>"1", "parent_issue_id"=>"", "start_date"=>"2013-04-23", "due_date"=>"",

"estimated_hours"=>"", "done_ratio"=>"0"}, "commit"=>"Create", "project_id"=>"dataprocessor-v2"}

Current user: jhanoun (id=4)

Rendered mailer/_issue.text.erb (1.0ms)

Rendered mailer/issue_add.text.erb within layouts/mailer (3.0ms)

Rendered mailer/_issue.html.erb (5.0ms)

Rendered mailer/issue_add.html.erb within layouts/mailer (7.0ms)

Completed 500 Internal Server Error in 3185ms

NoMethodError (undefined method `error' for :smtp:Symbol):

app/models/mailer.rb:432:in `deliver_mail'

app/models/issue_observer.rb:20:in `after_create'

app/models/issue.rb:159:in `create_or_update'

app/controllers/issues_controller.rb:141:in `create'

=========================================================

FYI, I received the mail even if I see NoMethodError

Config : Win 7 Pro / 64 bits / MySQL 5.5 64bits

Environment:

Redmine version                          2.3.0.stable

Ruby version                             1.9.3 (i386-mingw32)

Rails version                            3.2.13

Environment                              production

Database adapter                         Mysql2

Redmine plugins:

no plugin installed

Thanks

Related issues:

Is duplicate of Redmine - Defect #5703: On SMTP failure, an internal error oc... Closed 2010-06-17
History

#1 - 2013-05-02 08:23 - Toshi MARUYAMA

- Category changed from Issues to Email notifications

#2 - 2013-05-22 09:15 - Jeremy Hanoun

Hi Toshi,

Why did you change the category ? I can't create issues / tasks, do you really think that it should lands on 'Email notifications' category ? The subject

is : 'Unable to raise new issue'

Thanks

#3 - 2013-05-22 10:08 - Toshi MARUYAMA

Jeremy Hanoun wrote:

Hi Toshi,

Why did you change the category ? I can't create issues / tasks, do you really think that it should lands on 'Email notifications' category ? The

subject is : 'Unable to raise new issue'

Thanks

 Log says "NoMethodError (undefined method `error' for :smtp:Symbol):".

#4 - 2013-05-22 11:11 - Jeremy Hanoun

Hi Toshi,

Ok, I see your point. The thing is that my view of the process of raising a new task should be like that :

Create the task/issue => Send notification

It seems that currently depending on my email notification settings, the notification is sent before effectively creating the task which then prevent me

from creating task / issue when it fails.

So there may be two different problems : 1/ process design 2/ email notification. It's just a guess because I don't have much time right now to look at

the code, correct me if I'm wrong.

BTW, do you have any work around in the mean time ?

Thanks

#5 - 2017-01-10 14:47 - Toshi MARUYAMA

- Priority changed from Urgent to Normal

#6 - 2017-01-12 01:34 - Go MAEDA

- Related to Defect #5703: On SMTP failure, an internal error occurs and all changes to an issue are lost added

#7 - 2018-11-30 15:47 - Marius BĂLTEANU

- Related to deleted (Defect #5703: On SMTP failure, an internal error occurs and all changes to an issue are lost)

#8 - 2018-11-30 15:47 - Marius BĂLTEANU

- Is duplicate of Defect #5703: On SMTP failure, an internal error occurs and all changes to an issue are lost added

#9 - 2018-11-30 15:49 - Marius BĂLTEANU

- Status changed from New to Closed

- Resolution set to Duplicate

Most probably, is the same issue from the related issue which was fixed in the upcoming Redmine 4.0.0.

Please see #26791 and #5703 for more details.
